using System;
using System.Collections.Generic;

namespace ConsoleApp5
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] mn = Console.ReadLine().Split(' ');
            int N = int.Parse(mn[0]);
            int M = int.Parse(mn[1]);
            int br = 0;
            List<int> d = new List<int>() { };
            List<int> u = new List<int>() { };
            List<int> l = new List<int>() { };
            List<int> r = new List<int>() { };
            List<int> x = new List<int>() { };

            for (int i = 0; i < N; i++)
            {
                string[] du = Console.ReadLine().Split(' ');
                int di = int.Parse(du[0]);
                int ui = int.Parse(du[1]);
                d.Add(di);
                u.Add(ui);
            }
            for (int i = 0; i < M; i++)
            {
                string[] lrx = Console.ReadLine().Split(' ');
                int li = int.Parse(lrx[0]);
                int ri = int.Parse(lrx[1]);
                int xi = int.Parse(lrx[2]);
                l.Add(li);
                r.Add(ri);
                x.Add(xi);
            }
            for (int i = 0; i < M; i++)
            {
                for (int j = l[i] - 1; j < r[i]; j++)
                {
                    if (x[i] >= d[j] && x[i] <= u[j])
                    {
                        br++;
                    }
                }
                Console.WriteLine(br);
                br = 0;
            }
        }
    }
}